package ij.plugin;
import java.awt.*;
import java.io.*;
import ij.*;
import ij.io.*;

/** Opens GIFs and JPEGs from a URL. */
public class URLOpener implements PlugIn {

	private static String url = "http://rsb.info.nih.gov/ij/images/clown.gif";

	/** If 'name' is not blank, open that image from a URL specified in
	IJ_Props.txt. Otherwise, prompt for an image URL and open that image. */
	public void run(String name) {
		if (!name.equals("")) {
			ImagePlus imp = new ImagePlus(Prefs.getImagesURL() + name);
			if (imp.getType()==ImagePlus.COLOR_RGB)
				Opener.convertGrayJpegTo8Bits(imp);
			imp.show();
			return;
		}
		
		url = IJ.getString("URL of Gif or Jpeg:", url);
		IJ.showStatus("Opening: " + url);
		if (url.equals("")) {
			IJ.showStatus("");
			return;
		}
		int index = url.lastIndexOf('/');
		if (index>0)
			name = url.substring(index+1, url.length());
		else name = url;
		ImagePlus imp = new ImagePlus(url);
		imp.show();
		IJ.showStatus("");
		IJ.register(URLOpener.class);  // keeps this class from being GC'd
	}
}
